### Hierarchy

- ImageReplacer

## Index

### Methods

- getMediaData
- replace

## Methods

### getMediaData

- getMediaData(xmlData: string, media: Media): IMediaData[]

- - Defined in export/packer/image-replacer.ts:14

  #### Parameters

  - ##### xmlData: string

  - ##### media: Media

  #### Returns IMediaData[]

### replace

- replace(xmlData: string, mediaData: IMediaData[], offset: number): string

- - Defined in export/packer/image-replacer.ts:4

  #### Parameters

  - ##### xmlData: string

  - ##### mediaData: IMediaData[]

  - ##### offset: number

  #### Returns string

Generated using TypeDoc